summaryrefslogtreecommitdiff
path: root/gettext-tools/tests/msgcomm-3
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/msgcomm-3')
-rwxr-xr-xgettext-tools/tests/msgcomm-337
1 files changed, 37 insertions, 0 deletions
diff --git a/gettext-tools/tests/msgcomm-3 b/gettext-tools/tests/msgcomm-3
new file mode 100755
index 0000000..d5871e5
--- /dev/null
+++ b/gettext-tools/tests/msgcomm-3
@@ -0,0 +1,37 @@
+#! /bin/sh
+. "${srcdir=.}/init.sh"; path_prepend_ . ../src
+
+# Test --omit-header option when there is no header.
+
+cat <<EOF > mcomm-test3.in1
+#: first.c:123
+msgid "1"
+msgstr "1x"
+EOF
+
+cat <<EOF > mcomm-test3.in2
+#: hunt.c:759
+msgid "2"
+msgstr "2x"
+EOF
+
+: ${MSGCOMM=msgcomm}
+${MSGCOMM} --more-than=0 --omit-header -o mcomm-test3.tmp \
+ mcomm-test3.in1 mcomm-test3.in2 || exit 1
+LC_ALL=C tr -d '\r' < mcomm-test3.tmp > mcomm-test3.out || exit 1
+
+cat << EOF > mcomm-test3.ok
+#: first.c:123
+msgid "1"
+msgstr "1x"
+
+#: hunt.c:759
+msgid "2"
+msgstr "2x"
+EOF
+
+: ${DIFF=diff}
+${DIFF} mcomm-test3.ok mcomm-test3.out
+result=$?
+
+exit $result